Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Security Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/security
complexType realmType

    {http://www.w3.org/2001/XMLSchema}anyType
        {http://www.bea.com/ns/weblogic/90/security}realmType

Model
  `<...>
  auditor*, authentication-provider*, role-mapper*, authorizer*, adjudicator?, credential-mapper*, cert-path-provider*, cert-path-builder?, key-store*, user-lockout-manager?, deploy-role-ignored?, deploy-policy-ignored?, deploy-credential-mapping-ignored?, fully-delegate-authorization?, validate-dd-security-data?, security-dd-model?, combined-role-mapping-enabled?, enable-web-logic-principal-validator-cache?, max-web-logic-principals-in-cache?, name?, delegate-m-bean-authorization?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  The MBean that represents configuration attributes for the security realm.

  A security realm contains a set of security configuration settings, including the list of security providers to use (for example, for authentication and authorization).

  Code using security can either use the default security realm for the domain or refer to a particular security realm by name (by using the JMX display name of the security realm).

  One security realm in the WebLogic domain must have the `DefaultRealm` attribute set to true. The security realm with the `DefaultRealm` attribute set to true is used as the default security realm for the WebLogic domain. Note that other available security realms must have the `DefaultRealm` attribute set to false.

  When WebLogic Server boots, it locates and uses the default security realm. The security realm is considered active since it is used when WebLogic Server runs. Any security realm that is not used when WebLogic Server runs is considered inactive. All active security realms must be configured before WebLogic Server is boots.

  Since security providers are scoped by realm, the `Realm` attribute on a security provider must be set to the realm that uses the provider.

  MBean: `RealmMBean`

Nested Element Summary
`auditorType` | `auditor` 0...∞ Returns the Auditing providers for this security realm (in invocation order).
`authentication-providerType` | `authentication-provider` 0...∞ Returns the Authentication providers for this security realm (in invocation order).
`role-mapperType` | `role-mapper` 0...∞ Returns the Role Mapping providers for this security realm (in invocation order).
`authorizerType` | `authorizer` 0...∞ Returns the Authorization providers for this security realm (in invocation order).
`adjudicatorType` | `adjudicator` optional Returns the Adjudication provider for this security realm.
`credential-mapperType` | `credential-mapper` 0...∞ Returns the Credential Mapping providers for this security realm (in invocation order).
`cert-path-providerType` | `cert-path-provider` 0...∞ Returns the Certification Path providers for this security realm (in invocation order).
`string` | `cert-path-builder` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`key-storeType` | `key-store` 0...∞ Returns the KeyStore providers for this security realm (in invocation order).
`user-lockout-managerType` | `user-lockout-manager` optional Returns the User Lockout Manager for this security realm.
`boolean` | `deploy-role-ignored` optional The MBean that represents configuration attributes for the security realm.
`boolean` | `deploy-policy-ignored` optional The MBean that represents configuration attributes for the security realm.
`boolean` | `deploy-credential-mapping-ignored` optional The MBean that represents configuration attributes for the security realm.
`boolean` | `fully-delegate-authorization` optional The MBean that represents configuration attributes for the security realm.
`boolean` | `validate-dd-security-data` optional The MBean that represents configuration attributes for the security realm.
`annonymous type derived from string` | `security-dd-model` optional Specifies the default security model for Web applications or EJBs that are secured by this security realm.
`boolean` | `combined-role-mapping-enabled` optional The MBean that represents configuration attributes for the security realm.
`boolean` | `enable-web-logic-principal-validator-cache` optional The MBean that represents configuration attributes for the security realm.
`int` | `max-web-logic-principals-in-cache` optional Returns the maximum size of the LRU cache for holding WebLogic Principal signatures.
`string` | `name` optional The name of this configuration.
`boolean` | `delegate-m-bean-authorization` optional The MBean that represents configuration attributes for the security realm.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Security Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1